require "swift_generator/version"

require "swift_generator/specfile_parser"

module SwiftGenerator

  class Generator

    attr_accessor :spec_file_path
    attr_accessor :out_dir_path

    def initialize( spec_file_path, out_dir_str )
      @spec_file_path = spec_file_path
      @out_dir_path = out_dir_str         # may be nil
    end

    def generate
      parser = SpecfileParser.new( @spec_file_path )
      parser.process_specfile( )

    end
  end
end
