require_relative 'swift_class_generation'
# Standard USI Model settings
$default_uis_model_characteristics = [:json_serializable, :comparable, :make_test_class, :create_user_class]

# USI Model (Wire Data) settings
# defs = SwiftDefinitionSet.new( generated_root:model_generated_source,
# 							   generated_user_root:model_user_source,
# 							   generated_test_root:model_generated_test)




class USIWireDataClass < SwiftClass
	attr_accessor :rest_endpoint

	def initialize (definition_set, specified_type_name, endpoint:nil )

		super(definition_set, specified_type_name, inheritance_list=['USIBaseModel'],
			  characteristics:$default_uis_model_characteristics, is_test_element: false, is_user_editable: false)

		add_simple_class_property( "restEndpoint", :AnvilEndpoint, value:endpoint, override:true ) if !endpoint.nil?
	end
end
